package cn.pluss.platform.mapper;

import cn.pluss.platform.exception.MsgException;
import cn.pluss.platform.vo.OperationRecordVO;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;


public interface OperationRecordVOMapper extends BaseMapper<OperationRecordVO> {

    @Override
    default int insert(OperationRecordVO entity) {
        throw new MsgException("VO类Mapper禁用增删改");
    }

    @Override
    default int delete(Wrapper<OperationRecordVO> wrapper) {
        throw new MsgException("VO类Mapper禁用增删改");
    }

    @Override
    default int update(OperationRecordVO entity, Wrapper<OperationRecordVO> updateWrapper) {
        throw new MsgException("VO类Mapper禁用增删改");
    }

    @Override
    default int updateById(OperationRecordVO entity) {
        throw new MsgException("VO类Mapper禁用增删改");
    }
}
